--
-- PostgreSQL database dump
--

-- Dumped from database version 14.8 (Ubuntu 14.8-0ubuntu0.22.04.1)
-- Dumped by pg_dump version 14.8 (Ubuntu 14.8-0ubuntu0.22.04.1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: accounts_customuser; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.accounts_customuser (
    id bigint NOT NULL,
    password character varying(128) NOT NULL,
    last_login timestamp with time zone,
    is_superuser boolean NOT NULL,
    username character varying(254) NOT NULL,
    first_name character varying(150) NOT NULL,
    last_name character varying(150) NOT NULL,
    is_staff boolean NOT NULL,
    is_active boolean NOT NULL,
    date_joined timestamp with time zone NOT NULL,
    email character varying(254) NOT NULL
);


ALTER TABLE public.accounts_customuser OWNER TO laetitia;

--
-- Name: accounts_customuser_groups; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.accounts_customuser_groups (
    id bigint NOT NULL,
    customuser_id bigint NOT NULL,
    group_id integer NOT NULL
);


ALTER TABLE public.accounts_customuser_groups OWNER TO laetitia;

--
-- Name: accounts_customuser_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.accounts_customuser_groups ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.accounts_customuser_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: accounts_customuser_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.accounts_customuser ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.accounts_customuser_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: accounts_customuser_user_permissions; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.accounts_customuser_user_permissions (
    id bigint NOT NULL,
    customuser_id bigint NOT NULL,
    permission_id integer NOT NULL
);


ALTER TABLE public.accounts_customuser_user_permissions OWNER TO laetitia;

--
-- Name: accounts_customuser_user_permissions_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.accounts_customuser_user_permissions ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.accounts_customuser_user_permissions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: auth_group; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.auth_group (
    id integer NOT NULL,
    name character varying(150) NOT NULL
);


ALTER TABLE public.auth_group OWNER TO laetitia;

--
-- Name: auth_group_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.auth_group ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.auth_group_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: auth_group_permissions; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.auth_group_permissions (
    id bigint NOT NULL,
    group_id integer NOT NULL,
    permission_id integer NOT NULL
);


ALTER TABLE public.auth_group_permissions OWNER TO laetitia;

--
-- Name: auth_group_permissions_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.auth_group_permissions ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.auth_group_permissions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: auth_permission; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.auth_permission (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    content_type_id integer NOT NULL,
    codename character varying(100) NOT NULL
);


ALTER TABLE public.auth_permission OWNER TO laetitia;

--
-- Name: auth_permission_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.auth_permission ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.auth_permission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: django_admin_log; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.django_admin_log (
    id integer NOT NULL,
    action_time timestamp with time zone NOT NULL,
    object_id text,
    object_repr character varying(200) NOT NULL,
    action_flag smallint NOT NULL,
    change_message text NOT NULL,
    content_type_id integer,
    user_id bigint NOT NULL,
    CONSTRAINT django_admin_log_action_flag_check CHECK ((action_flag >= 0))
);


ALTER TABLE public.django_admin_log OWNER TO laetitia;

--
-- Name: django_admin_log_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.django_admin_log ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.django_admin_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: django_content_type; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.django_content_type (
    id integer NOT NULL,
    app_label character varying(100) NOT NULL,
    model character varying(100) NOT NULL
);


ALTER TABLE public.django_content_type OWNER TO laetitia;

--
-- Name: django_content_type_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.django_content_type ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.django_content_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: django_migrations; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.django_migrations (
    id bigint NOT NULL,
    app character varying(255) NOT NULL,
    name character varying(255) NOT NULL,
    applied timestamp with time zone NOT NULL
);


ALTER TABLE public.django_migrations OWNER TO laetitia;

--
-- Name: django_migrations_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.django_migrations ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.django_migrations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: django_session; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.django_session (
    session_key character varying(40) NOT NULL,
    session_data text NOT NULL,
    expire_date timestamp with time zone NOT NULL
);


ALTER TABLE public.django_session OWNER TO laetitia;

--
-- Name: order_groupedorder; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.order_groupedorder (
    id bigint NOT NULL,
    orga_id bigint NOT NULL,
    delivery_date date NOT NULL,
    name character varying(100),
    deadline timestamp with time zone NOT NULL,
    description text,
    place character varying(100),
    total_price numeric(10,2) NOT NULL
);


ALTER TABLE public.order_groupedorder OWNER TO laetitia;

--
-- Name: order_grouped_order_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.order_groupedorder ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.order_grouped_order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: order_item; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.order_item (
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    grouped_order_id bigint NOT NULL,
    ordered_nb integer NOT NULL,
    max_limit smallint,
    price numeric(10,2) NOT NULL,
    CONSTRAINT order_item_max_limit_check CHECK ((max_limit >= 0))
);


ALTER TABLE public.order_item OWNER TO laetitia;

--
-- Name: order_item_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.order_item ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.order_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: order_order; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.order_order (
    id bigint NOT NULL,
    author_id bigint NOT NULL,
    grouped_order_id bigint NOT NULL,
    articles_nb integer NOT NULL,
    price numeric(10,2) NOT NULL,
    CONSTRAINT order_order_articles_nb_check CHECK ((articles_nb >= 0))
);


ALTER TABLE public.order_order OWNER TO laetitia;

--
-- Name: order_order_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.order_order ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.order_order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: order_orderauthor; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.order_orderauthor (
    id bigint NOT NULL,
    first_name character varying NOT NULL,
    last_name character varying NOT NULL,
    phone character varying NOT NULL,
    email character varying NOT NULL
);


ALTER TABLE public.order_orderauthor OWNER TO laetitia;

--
-- Name: order_orderauthor_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.order_orderauthor ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.order_orderauthor_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: order_ordereditem; Type: TABLE; Schema: public; Owner: laetitia
--

CREATE TABLE public.order_ordereditem (
    id bigint NOT NULL,
    nb smallint NOT NULL,
    item_id bigint NOT NULL,
    order_id bigint NOT NULL,
    CONSTRAINT order_ordereditem_nb_check CHECK ((nb >= 0))
);


ALTER TABLE public.order_ordereditem OWNER TO laetitia;

--
-- Name: order_ordereditem_id_seq; Type: SEQUENCE; Schema: public; Owner: laetitia
--

ALTER TABLE public.order_ordereditem ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.order_ordereditem_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Data for Name: accounts_customuser; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.accounts_customuser (id, password, last_login, is_superuser, username, first_name, last_name, is_staff, is_active, date_joined, email) FROM stdin;
1	pbkdf2_sha256$600000$VJKqxzdIaZnD1NgKHW50OR$vilVIY56gjEdF7q6+zF2+DNBzInuX3+A/mo+1d42wsQ=	2023-05-26 16:06:38.096236+02	t	laetitia@chariotte.fr	Laetitia	Getti	t	t	2023-05-26 16:04:17+02	laetitia@chariotte.fr
\.


--
-- Data for Name: accounts_customuser_groups; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.accounts_customuser_groups (id, customuser_id, group_id) FROM stdin;
\.


--
-- Data for Name: accounts_customuser_user_permissions; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.accounts_customuser_user_permissions (id, customuser_id, permission_id) FROM stdin;
\.


--
-- Data for Name: auth_group; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.auth_group (id, name) FROM stdin;
\.


--
-- Data for Name: auth_group_permissions; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.auth_group_permissions (id, group_id, permission_id) FROM stdin;
\.


--
-- Data for Name: auth_permission; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.auth_permission (id, name, content_type_id, codename) FROM stdin;
1	Can add order	1	add_order
2	Can change order	1	change_order
3	Can delete order	1	delete_order
4	Can view order	1	view_order
5	Can add item	2	add_item
6	Can change item	2	change_item
7	Can delete item	2	delete_item
8	Can view item	2	view_item
9	Can add ordered item	3	add_ordereditem
10	Can change ordered item	3	change_ordereditem
11	Can delete ordered item	3	delete_ordereditem
12	Can view ordered item	3	view_ordereditem
13	Can add grouped order	4	add_groupedorder
14	Can change grouped order	4	change_groupedorder
15	Can delete grouped order	4	delete_groupedorder
16	Can view grouped order	4	view_groupedorder
17	Can add order author	5	add_orderauthor
18	Can change order author	5	change_orderauthor
19	Can delete order author	5	delete_orderauthor
20	Can view order author	5	view_orderauthor
21	Can add user	6	add_customuser
22	Can change user	6	change_customuser
23	Can delete user	6	delete_customuser
24	Can view user	6	view_customuser
25	Can add log entry	7	add_logentry
26	Can change log entry	7	change_logentry
27	Can delete log entry	7	delete_logentry
28	Can view log entry	7	view_logentry
29	Can add permission	8	add_permission
30	Can change permission	8	change_permission
31	Can delete permission	8	delete_permission
32	Can view permission	8	view_permission
33	Can add group	9	add_group
34	Can change group	9	change_group
35	Can delete group	9	delete_group
36	Can view group	9	view_group
37	Can add content type	10	add_contenttype
38	Can change content type	10	change_contenttype
39	Can delete content type	10	delete_contenttype
40	Can view content type	10	view_contenttype
41	Can add session	11	add_session
42	Can change session	11	change_session
43	Can delete session	11	delete_session
44	Can view session	11	view_session
\.


--
-- Data for Name: django_admin_log; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.django_admin_log (id, action_time, object_id, object_repr, action_flag, change_message, content_type_id, user_id) FROM stdin;
1	2023-05-26 16:06:32.933502+02	1	Laetitia Getti	2	[{"changed": {"fields": ["First name", "Last name"]}}]	6	1
2	2023-05-26 16:23:59.85319+02	1	Commande test pour la V0	2	[{"changed": {"fields": ["Description"]}}]	4	1
3	2023-05-26 16:57:11.998186+02	1	Commande test pour la V0	2	[{"changed": {"fields": ["Description"]}}]	4	1
\.


--
-- Data for Name: django_content_type; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.django_content_type (id, app_label, model) FROM stdin;
1	order	order
2	order	item
3	order	ordereditem
4	order	groupedorder
5	order	orderauthor
6	accounts	customuser
7	admin	logentry
8	auth	permission
9	auth	group
10	contenttypes	contenttype
11	sessions	session
\.


--
-- Data for Name: django_migrations; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.django_migrations (id, app, name, applied) FROM stdin;
1	contenttypes	0001_initial	2023-05-26 15:58:56.771678+02
2	contenttypes	0002_remove_content_type_name	2023-05-26 15:58:56.782831+02
3	auth	0001_initial	2023-05-26 15:58:56.842817+02
4	auth	0002_alter_permission_name_max_length	2023-05-26 15:58:56.849546+02
5	auth	0003_alter_user_email_max_length	2023-05-26 15:58:56.860623+02
6	auth	0004_alter_user_username_opts	2023-05-26 15:58:56.870208+02
7	auth	0005_alter_user_last_login_null	2023-05-26 15:58:56.878975+02
8	auth	0006_require_contenttypes_0002	2023-05-26 15:58:56.883378+02
9	auth	0007_alter_validators_add_error_messages	2023-05-26 15:58:56.893306+02
10	auth	0008_alter_user_username_max_length	2023-05-26 15:58:56.902515+02
11	auth	0009_alter_user_last_name_max_length	2023-05-26 15:58:56.911304+02
12	auth	0010_alter_group_name_max_length	2023-05-26 15:58:56.922902+02
13	auth	0011_update_proxy_permissions	2023-05-26 15:58:56.932086+02
14	auth	0012_alter_user_first_name_max_length	2023-05-26 15:58:56.942951+02
15	accounts	0001_initial	2023-05-26 15:58:56.999883+02
16	accounts	0002_alter_customuser_email_alter_customuser_username	2023-05-26 15:58:57.033122+02
17	admin	0001_initial	2023-05-26 15:58:57.068715+02
18	admin	0002_logentry_remove_auto_add	2023-05-26 15:58:57.080454+02
19	admin	0003_logentry_add_action_flag_choices	2023-05-26 15:58:57.091654+02
20	order	0001_initial	2023-05-26 15:58:57.11498+02
21	order	0002_grouped_order_name	2023-05-26 15:58:57.124081+02
22	order	0003_item	2023-05-26 15:58:57.140617+02
23	order	0004_item_ordered_nb	2023-05-26 15:58:57.150631+02
24	order	0005_remove_item_ordered_nb_alter_order_grouped_order_and_more	2023-05-26 15:58:57.183511+02
25	order	0006_item_ordered_nb	2023-05-26 15:58:57.192261+02
26	order	0007_alter_ordereditem_item_alter_ordereditem_order	2023-05-26 15:58:57.205688+02
27	order	0008_grouped_order_deadline	2023-05-26 15:58:57.217526+02
28	order	0009_rename_date_grouped_order_delivery_date	2023-05-26 15:58:57.223685+02
29	order	0010_rename_grouped_order_groupedorder	2023-05-26 15:58:57.274371+02
30	order	0011_alter_groupedorder_orga	2023-05-26 15:58:57.300756+02
31	order	0012_alter_groupedorder_name_alter_groupedorder_orga	2023-05-26 15:58:57.325458+02
32	order	0013_alter_groupedorder_unique_together	2023-05-26 15:58:57.34431+02
33	order	0014_item_max_limit_item_price	2023-05-26 15:58:57.362814+02
34	order	0015_groupedorder_description_groupedorder_place	2023-05-26 15:58:57.394396+02
35	order	0016_alter_groupedorder_description	2023-05-26 15:58:57.408892+02
36	order	0017_orderauthor_alter_order_author	2023-05-26 15:58:57.445697+02
37	order	0018_order_articles_nb	2023-05-26 15:58:57.460794+02
38	order	0019_order_price	2023-05-26 15:58:57.472792+02
39	order	0020_groupedorder_total_price_alter_orderauthor_email	2023-05-26 15:58:57.493029+02
40	order	0021_alter_orderauthor_email_alter_orderauthor_phone	2023-05-26 15:58:57.507258+02
41	sessions	0001_initial	2023-05-26 15:58:57.52458+02
\.


--
-- Data for Name: django_session; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.django_session (session_key, session_data, expire_date) FROM stdin;
b34buxwmbb044qayuxtoflp5cfxpwly9	.eJxVjDEOAiEQRe9CbQgzoCOW9p6BADPIqmGTZbcy3t2QbKHtf-_9twpxW2vYuixhYnVRoA6_W4r5KW0AfsR2n3We27pMSQ9F77Tr28zyuu7u30GNvY4aToAElmziQt6ziYlMcc4iuZQ9EUZ7BDBgRQjx7BgdEqOnIllAfb64tjbc:1q2Y5W:g88gRX8GBlE0b1zP28MB14sLPgJFf5mhz6DIEFHv0ZM	2023-06-09 16:06:38.099369+02
\.


--
-- Data for Name: order_groupedorder; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.order_groupedorder (id, orga_id, delivery_date, name, deadline, description, place, total_price) FROM stdin;
1	1	2023-07-04	Commande test pour la V0	2023-06-30 11:00:00+02	Bonjour ! Merci d'avoir cliqué :D \r\nCeci est une commande groupée test, pour tester cette première version de la Chariotte. \r\n\r\nVous pouvez commander tout ce que vous voulez, ce sera gratuit parce que par contre vous ne recevrez rien :)\r\n\r\nVous pouvez aussi m'écrire pour tester les autres pages de la Chariotte, et n'hésitez pas à remplir ce questionnaire de retours : https://framaforms.org/retours-sur-la-chariotte-v0-1685111258	Derrière vous	0.00
\.


--
-- Data for Name: order_item; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.order_item (id, name, grouped_order_id, ordered_nb, max_limit, price) FROM stdin;
1	Tomme de Savoie (200g)	1	0	20	3.00
2	Beaufort (200g)	1	0	15	3.15
3	Miel de romarin 500g	1	0	25	9.00
4	Miel de lavande 500g	1	0	20	9.00
5	Miel de romarin 250g	1	0	50	5.00
6	Sirop de sureau	1	0	45	9.00
7	Vin de sureau	1	0	60	15.00
8	1 cookie	1	0	\N	1.00
\.


--
-- Data for Name: order_order; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.order_order (id, author_id, grouped_order_id, articles_nb, price) FROM stdin;
\.


--
-- Data for Name: order_orderauthor; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.order_orderauthor (id, first_name, last_name, phone, email) FROM stdin;
\.


--
-- Data for Name: order_ordereditem; Type: TABLE DATA; Schema: public; Owner: laetitia
--

COPY public.order_ordereditem (id, nb, item_id, order_id) FROM stdin;
\.


--
-- Name: accounts_customuser_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.accounts_customuser_groups_id_seq', 1, false);


--
-- Name: accounts_customuser_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.accounts_customuser_id_seq', 1, true);


--
-- Name: accounts_customuser_user_permissions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.accounts_customuser_user_permissions_id_seq', 1, false);


--
-- Name: auth_group_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.auth_group_id_seq', 1, false);


--
-- Name: auth_group_permissions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.auth_group_permissions_id_seq', 1, false);


--
-- Name: auth_permission_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.auth_permission_id_seq', 44, true);


--
-- Name: django_admin_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.django_admin_log_id_seq', 3, true);


--
-- Name: django_content_type_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.django_content_type_id_seq', 11, true);


--
-- Name: django_migrations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.django_migrations_id_seq', 41, true);


--
-- Name: order_grouped_order_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.order_grouped_order_id_seq', 1, true);


--
-- Name: order_item_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.order_item_id_seq', 8, true);


--
-- Name: order_order_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.order_order_id_seq', 1, false);


--
-- Name: order_orderauthor_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.order_orderauthor_id_seq', 1, false);


--
-- Name: order_ordereditem_id_seq; Type: SEQUENCE SET; Schema: public; Owner: laetitia
--

SELECT pg_catalog.setval('public.order_ordereditem_id_seq', 1, false);


--
-- Name: accounts_customuser_groups accounts_customuser_groups_customuser_id_group_id_c074bdcb_uniq; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.accounts_customuser_groups
    ADD CONSTRAINT accounts_customuser_groups_customuser_id_group_id_c074bdcb_uniq UNIQUE (customuser_id, group_id);


--
-- Name: accounts_customuser_groups accounts_customuser_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.accounts_customuser_groups
    ADD CONSTRAINT accounts_customuser_groups_pkey PRIMARY KEY (id);


--
-- Name: accounts_customuser accounts_customuser_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.accounts_customuser
    ADD CONSTRAINT accounts_customuser_pkey PRIMARY KEY (id);


--
-- Name: accounts_customuser_user_permissions accounts_customuser_user_customuser_id_permission_9632a709_uniq; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.accounts_customuser_user_permissions
    ADD CONSTRAINT accounts_customuser_user_customuser_id_permission_9632a709_uniq UNIQUE (customuser_id, permission_id);


--
-- Name: accounts_customuser_user_permissions accounts_customuser_user_permissions_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.accounts_customuser_user_permissions
    ADD CONSTRAINT accounts_customuser_user_permissions_pkey PRIMARY KEY (id);


--
-- Name: accounts_customuser accounts_customuser_username_key; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.accounts_customuser
    ADD CONSTRAINT accounts_customuser_username_key UNIQUE (username);


--
-- Name: auth_group auth_group_name_key; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.auth_group
    ADD CONSTRAINT auth_group_name_key UNIQUE (name);


--
-- Name: auth_group_permissions auth_group_permissions_group_id_permission_id_0cd325b0_uniq; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.auth_group_permissions
    ADD CONSTRAINT auth_group_permissions_group_id_permission_id_0cd325b0_uniq UNIQUE (group_id, permission_id);


--
-- Name: auth_group_permissions auth_group_permissions_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.auth_group_permissions
    ADD CONSTRAINT auth_group_permissions_pkey PRIMARY KEY (id);


--
-- Name: auth_group auth_group_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.auth_group
    ADD CONSTRAINT auth_group_pkey PRIMARY KEY (id);


--
-- Name: auth_permission auth_permission_content_type_id_codename_01ab375a_uniq; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.auth_permission
    ADD CONSTRAINT auth_permission_content_type_id_codename_01ab375a_uniq UNIQUE (content_type_id, codename);


--
-- Name: auth_permission auth_permission_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.auth_permission
    ADD CONSTRAINT auth_permission_pkey PRIMARY KEY (id);


--
-- Name: django_admin_log django_admin_log_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.django_admin_log
    ADD CONSTRAINT django_admin_log_pkey PRIMARY KEY (id);


--
-- Name: django_content_type django_content_type_app_label_model_76bd3d3b_uniq; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.django_content_type
    ADD CONSTRAINT django_content_type_app_label_model_76bd3d3b_uniq UNIQUE (app_label, model);


--
-- Name: django_content_type django_content_type_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.django_content_type
    ADD CONSTRAINT django_content_type_pkey PRIMARY KEY (id);


--
-- Name: django_migrations django_migrations_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.django_migrations
    ADD CONSTRAINT django_migrations_pkey PRIMARY KEY (id);


--
-- Name: django_session django_session_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.django_session
    ADD CONSTRAINT django_session_pkey PRIMARY KEY (session_key);


--
-- Name: order_groupedorder order_grouped_order_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_groupedorder
    ADD CONSTRAINT order_grouped_order_pkey PRIMARY KEY (id);


--
-- Name: order_groupedorder order_groupedorder_delivery_date_name_orga_id_c0990bf8_uniq; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_groupedorder
    ADD CONSTRAINT order_groupedorder_delivery_date_name_orga_id_c0990bf8_uniq UNIQUE (delivery_date, name, orga_id);


--
-- Name: order_item order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_item
    ADD CONSTRAINT order_item_pkey PRIMARY KEY (id);


--
-- Name: order_order order_order_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_order
    ADD CONSTRAINT order_order_pkey PRIMARY KEY (id);


--
-- Name: order_orderauthor order_orderauthor_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_orderauthor
    ADD CONSTRAINT order_orderauthor_pkey PRIMARY KEY (id);


--
-- Name: order_ordereditem order_ordereditem_pkey; Type: CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_ordereditem
    ADD CONSTRAINT order_ordereditem_pkey PRIMARY KEY (id);


--
-- Name: accounts_customuser_groups_customuser_id_bc55088e; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX accounts_customuser_groups_customuser_id_bc55088e ON public.accounts_customuser_groups USING btree (customuser_id);


--
-- Name: accounts_customuser_groups_group_id_86ba5f9e; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX accounts_customuser_groups_group_id_86ba5f9e ON public.accounts_customuser_groups USING btree (group_id);


--
-- Name: accounts_customuser_user_permissions_customuser_id_0deaefae; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX accounts_customuser_user_permissions_customuser_id_0deaefae ON public.accounts_customuser_user_permissions USING btree (customuser_id);


--
-- Name: accounts_customuser_user_permissions_permission_id_aea3d0e5; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX accounts_customuser_user_permissions_permission_id_aea3d0e5 ON public.accounts_customuser_user_permissions USING btree (permission_id);


--
-- Name: accounts_customuser_username_722f3555_like; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX accounts_customuser_username_722f3555_like ON public.accounts_customuser USING btree (username varchar_pattern_ops);


--
-- Name: auth_group_name_a6ea08ec_like; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX auth_group_name_a6ea08ec_like ON public.auth_group USING btree (name varchar_pattern_ops);


--
-- Name: auth_group_permissions_group_id_b120cbf9; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX auth_group_permissions_group_id_b120cbf9 ON public.auth_group_permissions USING btree (group_id);


--
-- Name: auth_group_permissions_permission_id_84c5c92e; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX auth_group_permissions_permission_id_84c5c92e ON public.auth_group_permissions USING btree (permission_id);


--
-- Name: auth_permission_content_type_id_2f476e4b; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX auth_permission_content_type_id_2f476e4b ON public.auth_permission USING btree (content_type_id);


--
-- Name: django_admin_log_content_type_id_c4bce8eb; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX django_admin_log_content_type_id_c4bce8eb ON public.django_admin_log USING btree (content_type_id);


--
-- Name: django_admin_log_user_id_c564eba6; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX django_admin_log_user_id_c564eba6 ON public.django_admin_log USING btree (user_id);


--
-- Name: django_session_expire_date_a5c62663; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX django_session_expire_date_a5c62663 ON public.django_session USING btree (expire_date);


--
-- Name: django_session_session_key_c0390e0f_like; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX django_session_session_key_c0390e0f_like ON public.django_session USING btree (session_key varchar_pattern_ops);


--
-- Name: order_groupedorder_orga_id_5f1e64b3; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX order_groupedorder_orga_id_5f1e64b3 ON public.order_groupedorder USING btree (orga_id);


--
-- Name: order_item_grouped_order_id_1f2c199e; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX order_item_grouped_order_id_1f2c199e ON public.order_item USING btree (grouped_order_id);


--
-- Name: order_order_author_id_ce31c12f; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX order_order_author_id_ce31c12f ON public.order_order USING btree (author_id);


--
-- Name: order_order_grouped_order_id_b489f5b4; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX order_order_grouped_order_id_b489f5b4 ON public.order_order USING btree (grouped_order_id);


--
-- Name: order_ordereditem_item_id_e10e670c; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX order_ordereditem_item_id_e10e670c ON public.order_ordereditem USING btree (item_id);


--
-- Name: order_ordereditem_order_id_399309bd; Type: INDEX; Schema: public; Owner: laetitia
--

CREATE INDEX order_ordereditem_order_id_399309bd ON public.order_ordereditem USING btree (order_id);


--
-- Name: accounts_customuser_user_permissions accounts_customuser__customuser_id_0deaefae_fk_accounts_; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.accounts_customuser_user_permissions
    ADD CONSTRAINT accounts_customuser__customuser_id_0deaefae_fk_accounts_ FOREIGN KEY (customuser_id) REFERENCES public.accounts_customuser(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: accounts_customuser_groups accounts_customuser__customuser_id_bc55088e_fk_accounts_; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.accounts_customuser_groups
    ADD CONSTRAINT accounts_customuser__customuser_id_bc55088e_fk_accounts_ FOREIGN KEY (customuser_id) REFERENCES public.accounts_customuser(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: accounts_customuser_user_permissions accounts_customuser__permission_id_aea3d0e5_fk_auth_perm; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.accounts_customuser_user_permissions
    ADD CONSTRAINT accounts_customuser__permission_id_aea3d0e5_fk_auth_perm FOREIGN KEY (permission_id) REFERENCES public.auth_permission(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: accounts_customuser_groups accounts_customuser_groups_group_id_86ba5f9e_fk_auth_group_id; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.accounts_customuser_groups
    ADD CONSTRAINT accounts_customuser_groups_group_id_86ba5f9e_fk_auth_group_id FOREIGN KEY (group_id) REFERENCES public.auth_group(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_group_permissions auth_group_permissio_permission_id_84c5c92e_fk_auth_perm; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.auth_group_permissions
    ADD CONSTRAINT auth_group_permissio_permission_id_84c5c92e_fk_auth_perm FOREIGN KEY (permission_id) REFERENCES public.auth_permission(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_group_permissions auth_group_permissions_group_id_b120cbf9_fk_auth_group_id; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.auth_group_permissions
    ADD CONSTRAINT auth_group_permissions_group_id_b120cbf9_fk_auth_group_id FOREIGN KEY (group_id) REFERENCES public.auth_group(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_permission auth_permission_content_type_id_2f476e4b_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.auth_permission
    ADD CONSTRAINT auth_permission_content_type_id_2f476e4b_fk_django_co FOREIGN KEY (content_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: django_admin_log django_admin_log_content_type_id_c4bce8eb_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.django_admin_log
    ADD CONSTRAINT django_admin_log_content_type_id_c4bce8eb_fk_django_co FOREIGN KEY (content_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: django_admin_log django_admin_log_user_id_c564eba6_fk_accounts_customuser_id; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.django_admin_log
    ADD CONSTRAINT django_admin_log_user_id_c564eba6_fk_accounts_customuser_id FOREIGN KEY (user_id) REFERENCES public.accounts_customuser(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: order_groupedorder order_groupedorder_orga_id_5f1e64b3_fk_accounts_customuser_id; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_groupedorder
    ADD CONSTRAINT order_groupedorder_orga_id_5f1e64b3_fk_accounts_customuser_id FOREIGN KEY (orga_id) REFERENCES public.accounts_customuser(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: order_item order_item_grouped_order_id_1f2c199e_fk_order_groupedorder_id; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_item
    ADD CONSTRAINT order_item_grouped_order_id_1f2c199e_fk_order_groupedorder_id FOREIGN KEY (grouped_order_id) REFERENCES public.order_groupedorder(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: order_order order_order_author_id_ce31c12f_fk_order_orderauthor_id; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_order
    ADD CONSTRAINT order_order_author_id_ce31c12f_fk_order_orderauthor_id FOREIGN KEY (author_id) REFERENCES public.order_orderauthor(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: order_order order_order_grouped_order_id_b489f5b4_fk_order_groupedorder_id; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_order
    ADD CONSTRAINT order_order_grouped_order_id_b489f5b4_fk_order_groupedorder_id FOREIGN KEY (grouped_order_id) REFERENCES public.order_groupedorder(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: order_ordereditem order_ordereditem_item_id_e10e670c_fk_order_item_id; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_ordereditem
    ADD CONSTRAINT order_ordereditem_item_id_e10e670c_fk_order_item_id FOREIGN KEY (item_id) REFERENCES public.order_item(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: order_ordereditem order_ordereditem_order_id_399309bd_fk_order_order_id; Type: FK CONSTRAINT; Schema: public; Owner: laetitia
--

ALTER TABLE ONLY public.order_ordereditem
    ADD CONSTRAINT order_ordereditem_order_id_399309bd_fk_order_order_id FOREIGN KEY (order_id) REFERENCES public.order_order(id) DEFERRABLE INITIALLY DEFERRED;


--
-- PostgreSQL database dump complete
--

