# Settings

Here are the useful settings you can define. We're generally extending [Django settings](https://docs.djangoproject.com/en/4.2/ref/settings/), so any setting there could be used here.

This page documents the additional setting.

## CONTACT_MAIL

The contact mail that will be displayed at the bottom of the page.

```python title="chariotte_settings.py"
CONTACT_MAIL = "name@example.org"
```

## GITLAB_LINK

The URL to the git repository.

```python title="chariotte_settings.py"
GITLAB_LINK = "https://gitlab.com/your-repository"
```

## PROJECT_NAME

This is the main name of the project. By default it's set to `"La Chariotte"`

```python title="chariotte_settings.py"
PROJECT_NAME = "Groupement d'achat du CRAC"
```
